### Signal

# GtkSource MarkAttributes::query-tooltip-text

#### Declaration

    gchar*
    query_tooltip_text (
      GtkSourceMarkAttributes* self,
      GtkSourceMark* mark,
      gpointer user_data
    )

#### Description [src]

The code should connect to this signal to provide a tooltip for given `mark`. The tooltip should be just a plain text.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`mark`

  Type: `GtkSourceMark`

  The `GtkSourceMark`.

  The data is owned by the caller of the function.

#### Return value

Type: `gchar*`

A tooltip. The string should be freed with `g_free()` when done with it.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.